marketplace.packs.get
One pack.
Reference
GET/api/v1/packs/{slug}
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · PackDetail
One role in full, with the steps hiring it will walk through.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
slug | path | string | required |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/packs/<slug>" \
-H "X-API-Key: dcb_your_key"Response
{
"card": {
"slug": "string",
"name": "string",
"summary": "string",
"job": "string",
"version": "string",
"publisher": {
"slug": "string",
"name": "string",
"first_party": true
},
"badges": [
"string"
],
"industries": [
"string"
],
"languages": [
"string"
],
"demo_number": "string",
"demo_url": "string",
"charging": {
"needs_voice": true,
"unit": "string",
"hire_price_paise": 1,
"creator_price_paise": 1
},
"flow": "string",
"listed": true
},
"flow": "string",
"steps": [
{
"key": "string",
"title": "string",
"detail": "string",
"blocking": true,
"demo_number": "string",
"demo_url": "string",
"facts": [],
"connectors": [],
"presets_from": "string"
}
],
"guardrails": [
"string"
],
"compliance_notes": [
"string"
]
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |